net.sf.jasperreports.engine.fill

## Class JRFillBand

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillElementGroup
  - - net.sf.jasperreports.engine.fill.JRFillElementContainer
    - - net.sf.jasperreports.engine.fill.JRFillBand

- All Implemented Interfaces:
    java.lang.Cloneable, FillContainerContext, JRFillCloneable, JROriginProvider, JRBand, JRChild, JRCloneable, JRElementGroup, JRPropertiesHolder, JRVisitable

      public class JRFillBand
      extends JRFillElementContainer
      implements JRBand, JROriginProvider

  Version:
    $Id: JRFillBand.java 6166 2013-05-16 17:17:16Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JROrigin` | `origin`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementContainer

      `deepElements, evaluatedStyles, expressionEvaluator, filler, firstYElement, hasPrintWhenOverflowElement, isOverflow, stylesToEvaluate`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementGroup

      `children, elementGroup, elements`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRBand

      `PROPERTY_SPLIT_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillBand(JRBaseFiller filler, JRBand band, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addNowEvaluationTime(JREvaluationTime evaluationTime)`
    `protected void` | `addNowEvaluationTimes(JREvaluationTime[] evaluationTimes)`
    `protected void` | `evaluate(byte evaluation)`
    `protected void` | `evaluatePrintWhenExpression(byte evaluation)`
    `protected JRPrintBand` | `fill()`
    `protected JRPrintBand` | `fill(int availableHeight)`
    `protected JRPrintBand` | `fill(int availableHeight, boolean isOverflowAllowed)`
    `int` | `getBreakHeight()`
    `protected int` | `getContainerHeight()` Returns the height of the element container.
    `int` | `getHeight()`
    `protected int` | `getId()`
    `JROrigin` | `getOrigin()` Returns an element origin.
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRExpression` | `getPrintWhenExpression()` Returns the boolean expression that specifies if the band will be displayed.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `SplitTypeEnum` | `getSplitTypeValue()` Specifies the band split behavior.
    `boolean` | `hasProperties()` Checks whether the object has any properties.
    `protected boolean` | `isEmpty()`
    `protected boolean` | `isFirstWholeOnPageColumn()` Decides whether this band is the for whole band on the page/column.
    `protected boolean` | `isNewGroup(JRGroup group)`
    `protected boolean` | `isNewPageColumn()`
    `protected boolean` | `isNowEvaluationTime(JREvaluationTime evaluationTime)`
    `protected boolean` | `isPageBreakInhibited()`
    `protected boolean` | `isPrintWhenExpressionNull()`
    `protected boolean` | `isPrintWhenTrue()`
    `protected boolean` | `isSplitPrevented()`
    `protected boolean` | `isToPrint()`
    `protected boolean` | `isVariableUsedInReturns(java.lang.String variableName)`
    `protected JRPrintBand` | `refill(int availableHeight)`
    `void` | `registerReturnValues(FillReturnValues fillReturnValues)`
    `protected void` | `resetSavedVariables()`
    `protected void` | `restoreSavedVariables()`
    `protected void` | `saveVariable(java.lang.String variableName)`
    `protected void` | `setNewGroup(JRGroup group, boolean isNew)`
    `protected void` | `setNewPageColumn(boolean isNew)`
    `protected void` | `setOrigin(JROrigin origin)`
    `protected void` | `setPrintWhenTrue(boolean isPrintWhenTrue)`
    `void` | `setSplitType(SplitTypeEnum splitType)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementContainer

      `addSubElements, buildConsolidatedStyle, collectConditionalStyle, evaluateConditionalStyle, evaluateConditionalStyles, fillElements, getEvaluatedConditionalStyle, getFirstY, getStretchHeight, initConditionalStyles, initDeepElements, initElements, initFill, isCurrentOverflow, isCurrentOverflowAllowed, moveBandBottomElements, prepareElements, removeBlankElements, resetElements, rewind, setElementOriginProvider, setStretchHeight, stretchElements, willOverflow`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementGroup

      `clone, clone, createClone, getChildren, getElementByKey, getElementGroup, getElements, getStretchHeightDiff, reset, visit`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup

      `getChildren, getElementByKey, getElementGroup, getElements`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### origin

          protected JROrigin origin

  - ### Constructor Detail

    - #### JRFillBand

          protected JRFillBand(JRBaseFiller filler,
                    JRBand band,
                    JRFillObjectFactory factory)

  - ### Method Detail

    - #### getOrigin

          public JROrigin getOrigin()

      Description copied from interface: `JROriginProvider`
      Returns an element origin.
      Specified by:
        `getOrigin` in interface `JROriginProvider`
      Returns:
        an element origin

    - #### setOrigin

          protected void setOrigin(JROrigin origin)

    - #### setNewPageColumn

          protected void setNewPageColumn(boolean isNew)

    - #### isNewPageColumn

          protected boolean isNewPageColumn()

    - #### isFirstWholeOnPageColumn

          protected boolean isFirstWholeOnPageColumn()

      Decides whether this band is the for whole band on the page/column.
      Returns:
        whether this band is the for whole band on the page/column

    - #### setNewGroup

          protected void setNewGroup(JRGroup group,
                         boolean isNew)

    - #### isNewGroup

          protected boolean isNewGroup(JRGroup group)

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `JRBand`

    - #### getBreakHeight

          public int getBreakHeight()

    - #### getSplitTypeValue

          public SplitTypeEnum getSplitTypeValue()

      Description copied from interface: `JRBand`
      Specifies the band split behavior.
      Specified by:
        `getSplitTypeValue` in interface `JRBand`

    - #### setSplitType

          public void setSplitType(SplitTypeEnum splitType)

      Specified by:
        `setSplitType` in interface `JRBand`

    - #### getPrintWhenExpression

          public JRExpression getPrintWhenExpression()

      Description copied from interface: `JRBand`
      Returns the boolean expression that specifies if the band will be displayed.
      Specified by:
        `getPrintWhenExpression` in interface `JRBand`

    - #### isSplitPrevented

          protected boolean isSplitPrevented()

    - #### isPrintWhenExpressionNull

          protected boolean isPrintWhenExpressionNull()

    - #### isPrintWhenTrue

          protected boolean isPrintWhenTrue()

    - #### setPrintWhenTrue

          protected void setPrintWhenTrue(boolean isPrintWhenTrue)

    - #### isToPrint

          protected boolean isToPrint()

    - #### evaluatePrintWhenExpression

          protected void evaluatePrintWhenExpression(byte evaluation)
                                              throws JRException

      Throws:
        `JRException`

    - #### refill

          protected JRPrintBand refill(int availableHeight)
                                throws JRException

      Throws:
        `JRException`

    - #### fill

          protected JRPrintBand fill()
                              throws JRException

      Throws:
        `JRException`

    - #### fill

          protected JRPrintBand fill(int availableHeight)
                              throws JRException

      Throws:
        `JRException`

    - #### fill

          protected JRPrintBand fill(int availableHeight,
                         boolean isOverflowAllowed)
                              throws JRException

      Throws:
        `JRException`

    - #### getContainerHeight

          protected int getContainerHeight()

      Description copied from class: `JRFillElementContainer`
      Returns the height of the element container.
      Specified by:
        `getContainerHeight` in class `JRFillElementContainer`
      Returns:
        the height of the element container

    - #### isVariableUsedInReturns

          protected boolean isVariableUsedInReturns(java.lang.String variableName)

    - #### addNowEvaluationTime

          protected void addNowEvaluationTime(JREvaluationTime evaluationTime)

    - #### addNowEvaluationTimes

          protected void addNowEvaluationTimes(JREvaluationTime[] evaluationTimes)

    - #### isNowEvaluationTime

          protected boolean isNowEvaluationTime(JREvaluationTime evaluationTime)

    - #### getId

          protected int getId()

    - #### evaluate

          protected void evaluate(byte evaluation)
                           throws JRException

      Overrides:
        `evaluate` in class `JRFillElementContainer`
      Throws:
        `JRException`

    - #### resetSavedVariables

          protected void resetSavedVariables()

    - #### saveVariable

          protected void saveVariable(java.lang.String variableName)

    - #### restoreSavedVariables

          protected void restoreSavedVariables()

    - #### isEmpty

          protected boolean isEmpty()

    - #### isPageBreakInhibited

          protected boolean isPageBreakInhibited()

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### registerReturnValues

          public void registerReturnValues(FillReturnValues fillReturnValues)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com